kr.co.hanwha.hifive.adapter

## Class SearchTaskListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.SearchTaskListAdapter

- All Implemented Interfaces:
    SearchTaskListContract.Model, SearchTaskListContract.View

      public class SearchTaskListAdapter
      extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
      implements SearchTaskListContract.Model, SearchTaskListContract.View

  Created by sanghoonkwon on 2018. 1. 23..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<TaskListData>` | `mListData`
    `private SearchTaskListContract.OnSearchListListener` | `onSearchListListener`
    `private int` | `TYPE_TASK`
    `private int` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchTaskListAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(TaskListData data)`
    `void` | `addItem(TaskListData data, int index)`
    `void` | `addItems(java.util.ArrayList<TaskListData> list)`
    `void` | `clearItems()` Model
    `int` | `getItemCount()`
    `int` | `getItemViewType(int position)` Adapter
    `void` | `notifyDataAll()` ViewActivity
    `void` | `notifyDataRangeChanged(int positionStart, int itemCount)`
    `void` | `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
    `android.support.v7.widget.RecyclerView.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`
    `void` | `setOnSearchListListener(SearchTaskListContract.OnSearchListListener onSearchListListener)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO

          private final int ZERO

      See Also:
        Constant Field Values

    - #### TYPE_TASK

          private final int TYPE_TASK

      See Also:
        Constant Field Values

    - #### mListData

          private java.util.ArrayList<TaskListData> mListData

    - #### onSearchListListener

          private SearchTaskListContract.OnSearchListListener onSearchListListener

  - ### Constructor Detail

    - #### SearchTaskListAdapter

          public SearchTaskListAdapter()

  - ### Method Detail

    - #### setOnSearchListListener

          public void setOnSearchListListener(SearchTaskListContract.OnSearchListListener onSearchListListener)

    - #### notifyDataAll

          public void notifyDataAll()

      ViewActivity
      Specified by:
        `notifyDataAll` in interface `SearchTaskListContract.View`

    - #### notifyDataRangeChanged

          public void notifyDataRangeChanged(int positionStart,
                                             int itemCount)

      Specified by:
        `notifyDataRangeChanged` in interface `SearchTaskListContract.View`

    - #### clearItems

          public void clearItems()

      Model
      Specified by:
        `clearItems` in interface `SearchTaskListContract.Model`

    - #### addItem

          public void addItem(TaskListData data)

      Specified by:
        `addItem` in interface `SearchTaskListContract.Model`

    - #### addItem

          public void addItem(TaskListData data,
                              int index)

      Specified by:
        `addItem` in interface `SearchTaskListContract.Model`

    - #### addItems

          public void addItems(java.util.ArrayList<TaskListData> list)

      Specified by:
        `addItems` in interface `SearchTaskListContract.Model`

    - #### getItemViewType

          public int getItemViewType(int position)

      Adapter
      Overrides:
        `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onCreateViewHolder

          public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                      int viewType)

      Specified by:
        `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`